- name: Wait 300 seconds
  wait_for_connection:
    delay: 300
    timeout: 300

- name: Allow everything on interface cni0 and vxlan.calico
  shell: |
    ufw allow routed
    ufw default allow routed
    ufw default allow outgoing
    ufw allow in on vxlan.calico
    ufw allow out on vxlan.calico
    ufw allow in on cali+
    ufw allow in on veth+
    ufw allow in on cni0
    ufw allow in on flannel+
    ufw allow out on cali+
    ufw allow out on veth+
    ufw allow out on cni0
    ufw allow out on flannel+
    sudo iptables -P FORWARD ACCEPT
    exit 0

- name: Stop microk8s
  shell: |
    microk8s stop
    exit 0

- name: Pause 3 minutes to finish MicroK8s deployment
  pause:
    minutes: 3

- name: Start microk8s
  shell: |
    microk8s start
    exit 0

- name: Pause 3 minutes to finish MicroK8s deployment
  pause:
    minutes: 3

- name: Microk8s status
  shell: |
    microk8s status --wait-ready
